Bug 32223 - ldapfilter password history patch for samba 4.1.0~rc2
ldapfilter password history patch for samba 4.1.0~rc2
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba
UCS 3.1
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Stefan Gohmann
Arvid Requate
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 15:57 CEST by Arvid Requate
Modified: 2013-11-19 06:43 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2013-08-12 15:57:16 CEST
Our current samba 4.1.0~rc2 package has been built without the "ldapfilter password history" patch

patches/samba/3.2-0-0/2:4.1.0~rc2-1/55_ldapfilter_password-history.patch.SAMBA3-TODO

It needs to be adjusted in case it is still required. Otherwise it may be deleted.
Comment 1 Stefan Gohmann univentionstaff 2013-09-11 14:30:16 CEST
I've removed the patch and added a changelog entry.
Comment 2 Arvid Requate univentionstaff 2013-09-17 17:12:31 CEST
Ok, the samba source package has been built without the patch

1. removing the possibility to define a coustom "ldap filter" for Samba accounts. The default is "(&(uid=*)(objectclass=sambaSamAccount))" now.

2. re-establishing Samba default behaviour with respect to purging the samba password history of a user when the samba password history length is set to 0.

Changelog ok.
Comment 3 Stefan Gohmann univentionstaff 2013-11-19 06:43:07 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".